Bug 20073 - Adaptec 2940UW SCSI card (BIOS 2.57.2) & aic7xxxx 5.1.31 / 3.2.4
Adaptec 2940UW SCSI card (BIOS 2.57.2) & aic7xxxx 5.1.31 / 3.2.4
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-10-30 20:49 EST by Hamlet Mun
Modified: 2007-03-26 23:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-31 15:14:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hamlet Mun 2000-10-30 20:49:09 EST
I have these devices

Intel VC820 Motherboard with BIOS VC82010A.86A.0036.P16SCSI Adapter
Adaptec 2940U/UW (BIOS 2.57.2) (SCSI ID 7)
    at Bus:02h Device:09h / IRQ: 9 / IO Port: D800h
  Western Digital Vantage 9.1Gb U2W SCSI (SCSI ID 0)
  Saegate 4.5Gb UW SCSI (SCSI ID 1)

  UltraPlextor CD-ROM (SCSI ID 2)
  Yamaha 4260 CD ReWriter (SCSI ID 5)
  Iomega ZIP SCSI (SCSI ID 6)
Video Diamond Viper 770 OEM 16MB
Sound onboard
Network 3Com 3C509B

 When I connect only UltraWide hard disks, the system works fine. But if I 
add UltraPlextor, Yamaha, Iomega (All connected with 58 pin cable), I 
can't even install the RedHat 7.0 Linux. The install process stops after 
copying 3 packages or something like that. The system stops for 5 seconds 
every 2 minutes or less making blink cdrom's lights. It looks similar to 
scanning SCSI chains, just like at boot.
 So I had to install & use linux without those devices using 58 pin cable.
The Windows 98 SE works good with & without those 58 pin devices mentioned 
Comment 1 DN 2001-05-13 00:47:10 EDT
Dear representative,

I actually have similar problem with my Adaptec 2940UW SCSI card.
I was trying to install Redhat version 6.2 and 7.1.  Both version
halt during the installation when it was trying to load the SCSI aic7xxx driver.

my Hardware specs is this:
ASUS P5A,  K6II-300
Memory =192MB.

Adaptec 2940UW SCSI card, BIOS 2.20  SCSI ID:7
Yamaha 4416s CD-RW.  SCSI ID: 3

Comment 2 DN 2001-05-13 00:55:08 EDT
more add. comments.

I also try to install version 6.2 under Vmware's Workstation 2.03.
(Vmware Workstation 2.03 is a virtual PC program that allow user
to boot to most x86 system without dual booting.)
The program emulated the SCSI CD-rom as IDE.  
in that case, the installation still went throught fine.
So, I am pretty sure there is a bug with the SCSI card there. 

I tried to install both version in my other system which has no 
SCSI card.  The installation does not seem to have problem.
Comment 3 Mark Horton 2001-08-30 18:34:32 EDT
I have a similar problem.  AMD K6/400, Adeptec 2930U2 card with Jaz 2GB drive.
Works great with Red Hat 6.0.  7.1 install hung on SCSI timeout.  I pulled
the card out and finished the install, then reinserted the card.  The system
boots, but if I try to access the Jaz drive it hangs the mount process giving
timeout errors.

It appears there are 20 or so bugs open with variations on this error
(aic7xxx driver basically doesn't work on 7.1) and it's been open with
high priority for several months.  This problem is stopping a lot of
people from successfully upgrading to 7.1.  Would you please advise me
of status of this bug and let me know when there is progress?
Comment 4 n. andrew walsh 2002-04-03 02:26:04 EST
yet another problem with the 2930!
i have a 2930u2, with two drives attached to the u2 cable, and two to the wide 
cable. not only will redhat 7.2 (i had a box version) not install off of the CD-ROM (which is one of the wide scsi 
devices) but if i do get the thing installed (i used mandrake's installer, which doesn't have this problem for 
some reason) i STILL can't read off of the hard drive on the wide chain. it crashes the file manager, and then 
locks the system.

so, yes: the aic7xxx is having issues. comments?
Comment 5 Michael Fulbright 2002-05-31 15:14:51 EDT
Have you been successful resolving this issue?
Comment 6 Michael Fulbright 2002-07-15 12:38:54 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.